

#logo img{
    width: 200px;
}

body{
    background: url(/img/background.jpg) top center;
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 700;
    
}
.containerAll{
    max-width: 991px;
    margin-left: auto;
    margin-right: auto;
    min-height: 100vh;
    display: flex;
    flex-flow: column;
}
main{
    flex-grow: 1;
    display: flex;
    flex-flow: column;
}


/*---------------------------------------------------------
-----------------------MENU NAV ---------------------------
------------------------------------------------------------*/
ol,
ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav {
    background-color:rgb(0, 86, 175);
    transform: translateX(0);
    position: relative;
}

nav a, .brandsMenu {
/*  display: block;*/    
    color: white;
    display: flex;
    align-items: center;
    padding: 20px 10px;
    text-decoration: none;
}

nav a:focus {
    background-color: hsl(240, 100%, 80%);
    color: grey;
}

nav > ul > li:hover {
    border-right: 2px dashed white;
}

nav li:hover>a , .brandsMenu:hover{
    color: rgb(0, 86, 175);
    background-color: rgba(185,210,243);
}

nav>ul {
    display: flex;
}



nav>ul ul {
    display: none;
    position: absolute;
    background-color: rgba(185,210,243);
    z-index: 10;
}

nav>ul ul a {
    color: rgb(17, 17, 17);
    display: flex;
    justify-content: space-between;
    min-width: 145px;
}
nav> ul li:first-child >a{
    border-top: none;
}

nav>ul ul ul {
    display: none;
    left: 100%;
    top: 0;
}

li:hover > ul {
    display: block;
}

li {
    border-top: 0;
    position: relative;
    white-space: nowrap;
}

nav>ul>li>a>i.fas {
    display: block;
}


/* -------------------ITEM CARD-------------------------- */
.container_list{
    display:flex;
    flex-flow: row wrap;
    justify-content: center;
}
.product_card{
    display: flex;
    flex-flow: column;
    align-items: center;
    text-align: center;
    width: 200px;
    margin: 25px;
}
.product_card img{
    width: 100%;
}
.product_card a{
    min-height: 75px;
}
.product_card p{
    display: block;
    width: fit-content;
}

/* ----------------------- LISTE PAGE ------------------------------- */
.sortForm{
    display: flex;
    flex-flow: column;
    align-items: center;
    margin: 20px 0;
}
.sortForm label{
    margin: 10px 0;
}


/* ---------------------- DETAIL PAGE ----------------------------- */
.detailContainer{
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    font-weight: 400;
}


.detailContainer h2{
    text-align: center;
}

.detailFlexPart{
    display: flex;
}
.detailLeftPart, .detailRightPart{
    display: flex;
    flex-flow: column;
}
.detailLeftPart{
    text-align: center;
}
.detailPrice{
    font-size: 32px;
}
.stockText {
    color: blue; 
    font-weight: 600;
    margin: 0;
  }
  
  .stockInt {
    font-weight: bold; 
    color: black;
  }

.detailRightPart{
    padding-left: 20px;
}
.detailMarque{
    color: rgb(0, 86, 175);
}
.detailMarque > strong{
    color: rgb(17, 17, 17);
}


/* -------------404 PAGE-------------- */
.backGroung404{
    background: url(/img/NvN.gif) ;
    background-size: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
}
.backGroung404 p{
    color: white;
    text-align: center;
    font-size: 32px;
    text-shadow: 5px 5px hsla(0, 0%, 100%, 0.2);
}
@media (max-width: 600px) {

    /*--- DETAIL TOY -----*/
    .detailFlexPart{
        flex-flow: column;
    }
    .detailRightPart{
        padding: 0;
    }
}

@media (max-width: 500px) {
    .product_card{
        margin: 10px;
    }
    .product_card a{
        min-height: auto;
    }

}